Bug 62155 - Libreoffice crashes after upgrade while using formula bar
Summary: Libreoffice crashes after upgrade while using formula bar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Formula Editor (show other bugs)
Version:
(earliest affected)
4.0.1.2 release
Hardware: Other Mac OS X (All)
: highest normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.1.0 target:4.0.3 target:4.3....
Keywords:
: 63018 66034 (view as bug list)
Depends on:
Blocks: 43489 mab4.1
  Show dependency treegraph
 
Reported: 2013-03-11 09:11 UTC by Sai Gopal
Modified: 2014-03-27 18:50 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Libreoffice crashes on Mac while using formula bar (34.00 KB, application/vnd.oasis.opendocument.text)
2013-03-11 09:11 UTC, Sai Gopal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sai Gopal 2013-03-11 09:11:12 UTC
Created attachment 76326 [details]
Libreoffice crashes on Mac while using formula bar

Attached sheet has details of the crash.
Comment 1 Julien Nabet 2013-03-16 14:32:16 UTC
Comment on attachment 76326 [details]
Libreoffice crashes on Mac while using formula bar

mimetype fixed
Comment 2 Julien Nabet 2013-03-16 15:25:55 UTC
Sai:
do you reproduce this with a brand new file or just specific files? (if specific could you attach the file?)
could you give a try after having renamed your LO directory profile? (see https://wiki.documentfoundation.org/UserProfile)
Comment 3 Julien Nabet 2013-04-03 21:53:41 UTC
Sai: what's the UI language?
Comment 4 Michael Meeks 2013-04-04 12:25:40 UTC
Wow - a much nicer stack-trace from OSX.

6   libc++abi.dylib               	0x904fa31d std::terminate() + 23
7   libc++abi.dylib               	0x904fb412 __cxa_throw + 110
8   libgcc3_uno.dylib             	0x03fcfd14 gcc3::raiseException(_uno_Any*, _uno_Mapping*) + 1460
9   libgcc3_uno.dylib             	0x03fcd8c5 (anonymous namespace)::cpp2uno_call(bridges::cpp_uno::shared::CppInterfaceProxy*, _typelib_TypeDescription const*, _typelib_TypeDescriptionReference*, long, _typelib_MethodParameter*, void**, void*) + 837
10  libgcc3_uno.dylib             	0x03fcdfa2 cpp_vtable_call + 1026
11  libgcc3_uno.dylib             	0x03fd6457 privateSnippetExecutorClass + 17
12  libuno_cppuhelpergcc3.dylib.3 	0x0037c3b7 (anonymous namespace)::FactoryWrapper::createInstanceWithContext(com::sun::star::uno::Reference<com::sun::star::uno::XComponentContext> const&) + 55
13  libsclo.dylib                 	0x2d44638b ScUnoAddInCollection::Initialize() + 811
14  libsclo.dylib                 	0x2d446658 ScUnoAddInCollection::GetFuncCount() + 24
15  libsclo.dylib                 	0x2d3ea5fc ScFunctionList::ScFunctionList() + 2524
16  libsclo.dylib                 	0x2d3ec636 ScGlobal::GetStarCalcFunctionList() + 70

And of course some leaked exception:

                        uno::Reference<uno::XInterface> xInterface;
                        uno::Reference<uno::XComponentContext> xCtx(
                            comphelper::getComponentContext(xManager));
                        uno::Reference<lang::XSingleComponentFactory> xCFac( xIntFac, uno::UNO_QUERY );
                        if (xCFac.is())
                        {
                            xInterface = xCFac->createInstanceWithContext(xCtx);
                            if (xInterface.is())
                                ReadFromAddIn( xInterface );
                        }

Must be the code - and I guess it's not your work there Noel - sorry about that.

This is indeed a duplicate, but with a better trace I'll mark it the other way around.
Comment 5 Michael Meeks 2013-04-04 12:26:22 UTC
*** Bug 63018 has been marked as a duplicate of this bug. ***
Comment 6 Michael Meeks 2013-04-04 12:26:57 UTC
re-titling fdo#63018 is a Linux duplicate.
Comment 7 Stephan Bergmann 2013-04-04 13:14:40 UTC
ScUnoAddInCollection::Initialize (sc/source/core/tool/addincol.cxx) is iterating over all UNO implementations that implement the com.sun.star.sheet.AddIn "marker" service, instantiating each one.  And the RuntimeException is thrown while instantiating a non-C++ one, either Java or Python (both those UNO language bindings appear to be in-process according to the crash data in attachment 76326 [details]).

I would assume that it is a problem with some extension (like an extension written in Python 2 that does not work with the Python 3 in LO 4).  However, bug 60358 comment 16 (as linked from bug 63018) claims that attachment 75290 [details] is a user profile with which this bug is reproducible, but that user profile contains no extensions, neither per-user nor shared (merely the usual bundled ones).
Comment 8 Commit Notification 2013-04-05 14:33:47 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7e7302730454aa417f2711024e3a5d9d953add67

fdo#62155 - band-aid crash from poor addin registration on upgrade



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Meeks 2013-04-05 14:40:10 UTC
Pretty serious upgrade / migration crasher - associate with the migration tracker, and closed in master - pending review for -4-0.

Not a terribly satisfying resolution - it would be nice to know why iterating over the sheet.AddIn components throws up a component that breaks so badly.

Thanks anyhow ! :-)
Comment 10 Commit Notification 2013-04-05 16:37:12 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19d9d212615714e1bfbbf2fc83f3c057163bb1d6&h=libreoffice-4-0

fdo#62155 - band-aid crash from poor addin registration on upgrade


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Jorendc 2013-04-08 21:59:33 UTC
*** Bug 63223 has been marked as a duplicate of this bug. ***
Comment 12 Michael Meeks 2013-05-03 09:35:11 UTC
bug#63223 claims that this is still an issue in 4.0.3 - which is horrible; I'd -really- appreciate testing of the RC2 on Mac from here:

http://www.libreoffice.org/download/pre-releases/

from someone that could reproduce this - and getting a better stack trace if there is one; or at least some confirmation that it is indeed resolved.

Thanks !
Comment 13 Julien Nabet 2013-06-22 11:08:20 UTC
*** Bug 66034 has been marked as a duplicate of this bug. ***
Comment 14 Wiebe Cazemier 2013-07-23 07:11:18 UTC
Reopening, crashes with 4.0.4. 

Archlinux, kernel 3.9.4-1-ARCH
extra/libreoffice-calc 4.0.4-1 (libreoffice) [installed]
core/glibc 2.17-6 (base) [installed: 2.17-5]

Stacktrace:

# gdb
<attach somepid (don't remember)>
<output>
(gdb) continue
Continuing.
[New Thread 0x7ff32eca6700 (LWP 1679)]

<typing = in formula bar in empty spread>

Program received signal SIGABRT, Aborted.
0x00007ff34893f1c9 in raise () from /usr/lib/libc.so.6
(gdb) bt
#0  0x00007ff34893f1c9 in raise () from /usr/lib/libc.so.6
#1  0x00007ff3489405c8 in abort () from /usr/lib/libc.so.6
#2  0x00007ff34922b935 in __gnu_cxx::__verbose_terminate_handler() () from /usr/lib/libstdc++.so.6
#3  0x00007ff349229aa6 in ?? () from /usr/lib/libstdc++.so.6
#4  0x00007ff349229ad3 in std::terminate() () from /usr/lib/libstdc++.so.6
#5  0x00007ff349229cfe in __cxa_throw () from /usr/lib/libstdc++.so.6
#6  0x00007ff32fc9ca49 in ?? () from /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
#7  0x00007ff32fc9ad83 in ?? () from /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
#8  0x00007ff32fc9b1d3 in ?? () from /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
#9  0x00007ff32fca33c6 in privateSnippetExecutor () from /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
#10 0x00007ff347c892dd in ?? () from /usr/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
#11 0x00007ff347c889c2 in ?? () from /usr/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
#12 0x00007ff347c822c4 in ?? () from /usr/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
#13 0x00007ff30f65d142 in ScUnoAddInCollection::LoadComponent(ScUnoAddInFuncData const&) () from /usr/lib/libreoffice/program/../program/libsclo.so
#14 0x00007ff30f65c3e8 in ScUnoAddInCollection::GetFuncData(rtl::OUString const&, bool) () from /usr/lib/libreoffice/program/../program/libsclo.so
#15 0x00007ff30f608900 in ?? () from /usr/lib/libreoffice/program/../program/libsclo.so
#16 0x00007ff30f82e09c in ?? () from /usr/lib/libreoffice/program/../program/libsclo.so
#17 0x00007ff30f82e46b in ?? () from /usr/lib/libreoffice/program/../program/libsclo.so
#18 0x00007ff30f82e5e1 in ?? () from /usr/lib/libreoffice/program/../program/libsclo.so
#19 0x00007ff30f8338a5 in ?? () from /usr/lib/libreoffice/program/../program/libsclo.so
#20 0x00007ff30f834b5a in ?? () from /usr/lib/libreoffice/program/../program/libsclo.so
#21 0x00007ff3454ab6fe in ?? () from /usr/lib/libreoffice/program/libvcllo.so
#22 0x00007ff3454adfbf in ?? () from /usr/lib/libreoffice/program/libvcllo.so
#23 0x00007ff3391ecccf in ?? () from /usr/lib/libreoffice/program/libvclplug_gtklo.so
#24 0x00007ff3391ee231 in ?? () from /usr/lib/libreoffice/program/libvclplug_gtklo.so
#25 0x00007ff340c21fc9 in g_cclosure_marshal_VOID__STRINGv () from /usr/lib/libgobject-2.0.so.0
#26 0x00007ff340c1f687 in ?? () from /usr/lib/libgobject-2.0.so.0
#27 0x00007ff340c37778 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#28 0x00007ff340c38992 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#29 0x00007ff340c21fc9 in g_cclosure_marshal_VOID__STRINGv () from /usr/lib/libgobject-2.0.so.0
#30 0x00007ff340c1f687 in ?? () from /usr/lib/libgobject-2.0.so.0
#31 0x00007ff340c37778 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#32 0x00007ff340c38992 in g_signal_emit_by_name () from /usr/lib/libgobject-2.0.so.0
#33 0x00007ff33895dc80 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#34 0x00007ff33895e1b9 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#35 0x00007ff33895fff3 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#36 0x00007ff3391ee5cc in ?? () from /usr/lib/libreoffice/program/libvclplug_gtklo.so
#37 0x00007ff3391ee7ec in ?? () from /usr/lib/libreoffice/program/libvclplug_gtklo.so
#38 0x00007ff3389764c5 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#39 0x00007ff340c1f458 in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#40 0x00007ff340c3040d in ?? () from /usr/lib/libgobject-2.0.so.0
#41 0x00007ff340c37e52 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#42 0x00007ff340c38462 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#43 0x00007ff338a85624 in ?? () from /usr/lib/libgtk-x11-2.0.so.0
#44 0x00007ff338974d47 in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#45 0x00007ff33897502b in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#46 0x00007ff3385f0afc in ?? () from /usr/lib/libgdk-x11-2.0.so.0
#47 0x00007ff340958e46 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#48 0x00007ff340959198 in ?? () from /usr/lib/libglib-2.0.so.0
#49 0x00007ff34095923c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#50 0x00007ff3391d1361 in ?? () from /usr/lib/libreoffice/program/libvclplug_gtklo.so
#51 0x00007ff3451f33b4 in Application::Yield(bool) () from /usr/lib/libreoffice/program/libvcllo.so
#52 0x00007ff3451f3457 in Application::Execute() () from /usr/lib/libreoffice/program/libvcllo.so
#53 0x00007ff3494ef2e2 in ?? () from /usr/lib/libreoffice/program/libsofficeapp.so
#54 0x00007ff3451f9dd1 in ?? () from /usr/lib/libreoffice/program/libvcllo.so
#55 0x00007ff3451f9e55 in SVMain() () from /usr/lib/libreoffice/program/libvcllo.so
#56 0x00007ff34951b43d in soffice_main () from /usr/lib/libreoffice/program/libsofficeapp.so
#57 0x000000000040075b in ?? ()
#58 0x00007ff34892ba15 in __libc_start_main () from /usr/lib/libc.so.6
#59 0x0000000000400791 in ?? ()
Comment 15 Stephan Bergmann 2013-07-23 07:46:34 UTC
(In reply to comment #14)
> (gdb) continue
> Continuing.
> [New Thread 0x7ff32eca6700 (LWP 1679)]
> 
> <typing = in formula bar in empty spread>
> 
> Program received signal SIGABRT, Aborted.
> 0x00007ff34893f1c9 in raise () from /usr/lib/libc.so.6
> (gdb) bt
> #0  0x00007ff34893f1c9 in raise () from /usr/lib/libc.so.6
> #1  0x00007ff3489405c8 in abort () from /usr/lib/libc.so.6
> #2  0x00007ff34922b935 in __gnu_cxx::__verbose_terminate_handler() () from
> /usr/lib/libstdc++.so.6
> #3  0x00007ff349229aa6 in ?? () from /usr/lib/libstdc++.so.6
> #4  0x00007ff349229ad3 in std::terminate() () from /usr/lib/libstdc++.so.6
> #5  0x00007ff349229cfe in __cxa_throw () from /usr/lib/libstdc++.so.6
> #6  0x00007ff32fc9ca49 in ?? () from
> /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
> #7  0x00007ff32fc9ad83 in ?? () from
> /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
> #8  0x00007ff32fc9b1d3 in ?? () from
> /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
> #9  0x00007ff32fca33c6 in privateSnippetExecutor () from
> /usr/lib/libreoffice/ure/lib/libgcc3_uno.so
> #10 0x00007ff347c892dd in ?? () from
> /usr/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
> #11 0x00007ff347c889c2 in ?? () from
> /usr/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
> #12 0x00007ff347c822c4 in ?? () from
> /usr/lib/libreoffice/program/../ure-link/lib/libuno_cppuhelpergcc3.so.3
> #13 0x00007ff30f65d142 in
> ScUnoAddInCollection::LoadComponent(ScUnoAddInFuncData const&) () from
> /usr/lib/libreoffice/program/../program/libsclo.so

Your problem is slightly different to the one originally discussed in this bug, as it throws an uncaught exception in ScUnoAddInCollection::LoadComponent, past the call to ScUnoAddInCollection::Initialize where an exception was not caught in the original bug's scenario.

__gnu_cxx::__verbose_terminate_handler indicates that there most certainly was printed something along the lines of "uncaught exception of type ..." printed to stderr prior to "Program received signal SIGABRT, Aborted." that you elided.  Can you provide that?

Also, can you provide the output of "unopkg list", "unopkg list --shared", and "unopkg list --bundled"?
Comment 16 tommy27 2013-08-12 07:59:47 UTC
it would be interesting to know if MacOS user still experience this bug.

if not, Wiebe Cazemier should open a separate bug report about Linux.

in the meantime I change status to NEEDINFO.
Comment 17 Sai Gopal 2013-08-13 06:50:20 UTC
Hi,

The problem is not yet resolved even with the new version 4.1.0

Regards,
Sai Gopal

On Mon, Aug 12, 2013 at 1:29 PM, <bugzilla-daemon@freedesktop.org> wrote:

>  tommy27 <barta@quipo.it> changed bug 62155<https://bugs.freedesktop.org/show_bug.cgi?id=62155>
>  What Removed Added  Status REOPENED NEEDINFO  CC   barta@quipo.it
>
>  *Comment # 16 <https://bugs.freedesktop.org/show_bug.cgi?id=62155#c16>on bug
> 62155 <https://bugs.freedesktop.org/show_bug.cgi?id=62155> from tommy27<barta@quipo.it>
> *
>
> it would be interesting to know if MacOS user still experience this bug.
>
> if not, Wiebe Cazemier should open a separate bug report about Linux.
>
> in the meantime I change status to NEEDINFO.
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 18 tommy27 2013-08-13 07:41:52 UTC
Ok. setting back status to NEW.
Comment 19 Sai Gopal 2013-08-13 10:20:49 UTC
On Tue, Aug 13, 2013 at 12:20 PM, Sai Gopal <saigopalp@gmail.com> wrote:

> Hi,
>
> The problem is not yet resolved even with the new version 4.1.0
>
> Regards,
> Sai Gopal
>
>
> On Mon, Aug 12, 2013 at 1:29 PM, <bugzilla-daemon@freedesktop.org> wrote:
>
>>  tommy27 <barta@quipo.it> changed bug 62155<https://bugs.freedesktop.org/show_bug.cgi?id=62155>
>>  What Removed Added  Status REOPENED NEEDINFO  CC   barta@quipo.it
>>
>>  *Comment # 16 <https://bugs.freedesktop.org/show_bug.cgi?id=62155#c16>on bug
>> 62155 <https://bugs.freedesktop.org/show_bug.cgi?id=62155> from tommy27<barta@quipo.it>
>> *
>>
>> it would be interesting to know if MacOS user still experience this bug.
>>
>> if not, Wiebe Cazemier should open a separate bug report about Linux.
>>
>> in the meantime I change status to NEEDINFO.
>>
>>  ------------------------------
>> You are receiving this mail because:
>>
>>    - You reported the bug.
>>
>>
>
Comment 20 Julien Nabet 2013-08-13 10:38:10 UTC
Sai Gopal: please don't answer from your mailer but by using this link:
https://bugs.freedesktop.org/show_bug.cgi?id=62155#
Comment 21 Michael Meeks 2013-10-11 16:55:31 UTC
Sai / others - we're really looking for the console output when it fails to get more detail on the exception that is failing; and/or more output here.

I suspect we need to catch / discard a few more random new exceptions bubbling up from the underbelly here; but it would -really- help if we could reproduce this with a debuginfo build somehow and get some good traces :-)
Comment 22 Björn Michaelsen 2014-01-17 09:58:44 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.0 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 23 stragu 2014-02-13 23:15:05 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in later version
Comment 24 Commit Notification 2014-03-27 09:49:22 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ca1411772eb74a1cbfb00976f077f804684d9fb

fdo#62155 - don't crash if we can't create an instance of a calc addin.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 25 Michael Meeks 2014-03-27 10:02:47 UTC
I gave up hoping for a generic solution here; the calc addins code already handles failure:

            uno::Reference<uno::XInterface> xInterface( xServiceFactory->createInstance( aServiceName ) );

            if (xInterface.is())
                UpdateFromAddIn( xInterface, aServiceName );

I assume that some (new?) exception is thrown by createInstance these days that makes it unhappier than in the past; so I just ignore all UNO exceptions there; pushed to master, and gerrit for 4.1 / 4.2 =)
Comment 26 Stephan Bergmann 2014-03-27 10:16:29 UTC
(In reply to comment #25)
> I gave up hoping for a generic solution here; the calc addins code already
> handles failure:
> 
>             uno::Reference<uno::XInterface> xInterface(
> xServiceFactory->createInstance( aServiceName ) );
> 
>             if (xInterface.is())
>                 UpdateFromAddIn( xInterface, aServiceName );
> 
> I assume that some (new?) exception is thrown by createInstance these days
> that makes it unhappier than in the past; so I just ignore all UNO
> exceptions there; pushed to master, and gerrit for 4.1 / 4.2 =)

Yes, sure, createInstance can (somewhat unhelpfully) both throw any Exception or return null to signal failure.  (Which makes it look like it would be better to just cover the call to createInstance in a try-catch-ignore block, not also the subsequent call to UpdateFromAddIn.)
Comment 27 Michael Meeks 2014-03-27 11:29:14 UTC
> (Which makes it look like it would be better to just cover the call to
> createInstance in a try-catch-ignore block, not also the subsequent
> call to UpdateFromAddIn.)

As you like =) given the un-caught 'crashes when entering formula' situation there, using a hammer seemed justified. Gerrit reviews for back-ports appreciated etc.
Comment 28 Eike Rathke 2014-03-27 11:33:39 UTC
@Stephan:
(In reply to comment #26)
> would be better to just cover the call to createInstance in a
> try-catch-ignore block, not also the subsequent call to UpdateFromAddIn.)

Why only createInstance() and not also UpdateFromAddIn()? Can xInterface.is() ever be true and thus a call to UpdateFromAddIn() be successful if createInstance() threw an exception?
Comment 29 Stephan Bergmann 2014-03-27 11:44:08 UTC
(In reply to comment #28)
> (In reply to comment #26)
> > would be better to just cover the call to createInstance in a
> > try-catch-ignore block, not also the subsequent call to UpdateFromAddIn.)
> 
> Why only createInstance() and not also UpdateFromAddIn()? Can
> xInterface.is() ever be true and thus a call to UpdateFromAddIn() be
> successful if createInstance() threw an exception?

That's not my point.  My point is that UpdateFromAddIn might legitimately throw exceptions, which the patch would break.
Comment 30 Commit Notification 2014-03-27 12:21:13 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=54617821cf0fd2fcb0465bf06c9b333331b49838&h=libreoffice-4-2

fdo#62155 - don't crash if we can't create an instance of a calc addin.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 31 Eike Rathke 2014-03-27 18:47:23 UTC
Ah well, but the callers of ScUnoAddInCollection::LoadComponent() and their callers don't seem to catch anything so it would crash anyway.
Comment 32 Commit Notification 2014-03-27 18:50:34 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d3553cb4d6a8ad439e36a694e788668b4a6003a&h=libreoffice-4-1

fdo#62155 - don't crash if we can't create an instance of a calc addin.


It will be available in LibreOffice 4.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.